Returns a single targeting rule identified by targetId for the specified site.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/{targetId}.do
Returns a single targeting rule identified by targetId for the specified site. Response includes the rule type, value, rule direction (INCLUDE/EXCLUDE), and status. Requires UPDATE permission on the site and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/123.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());